Bug 139272 - freeConfModule called with null pointer; don't do that
freeConfModule called with null pointer; don't do that
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-14 14:44 EST by Pekka Hämäläinen
Modified: 2014-03-16 22:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-16 15:30:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Hämäläinen 2004-11-14 14:44:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
T312461; SV1; i-NavFourF; .NET CLR 1.1.4322)

Description of problem:
I just upgraded to latest FC2, rebooted the machine and could not get 
nw working anymore. Only loopback is available. Both kudzu and system-
config-network report the same annoying error, "freeConfModule called 
with null pointer; don't do that" and I don't have a glue what to do 
but start re-installing everything again.

Before the above happened I had upgraded from FC1 to FC2 basic with 
YUM (http://linux.duke.edu/~skvidal/misc/fc1-fc2-yum-hints.txt=. Then 
I checked the system, it seemed to work. From that I updated, with 
YUM, to latest FC2 update and then the system was broken.

What to do?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Just booth the damn machine
2.
3.
    

Actual Results:  NW i/f is unavailable

Expected Results:  NW is available as the config was OK for 10 months

Additional info:
Comment 1 Bill Nottingham 2004-11-15 00:44:52 EST
Do you have no modules.conf or no modprobe.conf?
Comment 2 Pekka Hämäläinen 2004-11-16 15:30:08 EST
Yep, the modprobe was not there as the damn guide assisted to take
that away. I'll managed to figure that out and you are giving the same
resolution, so there was no sw bug but misconfiguration.

Br Pekka
Comment 3 Bill Nottingham 2004-11-17 01:30:14 EST
Well, actually, the segfault on no modprobe.conf *is* fixed in FC3, FWIW.

Note You need to log in before you can comment on or make changes to this bug.